umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- File List
- File Members

Functions | Variables
cxx11-type-inference.h File Reference
`#include <vector>`

Go to the source code of this file.

## Functions
| for (auto itr=myvec.cbegin();itr !=myvec.cend();++itr)
| for (auto &x :myvec)
int | main ()

## Variables
auto | some_strange_callable_type = std::bind(&some_function, _2, _1, some_object)
auto | other_variable = 5
int | some_int
decltype(some_int) | other_integer_variable = 5

## Function Documentation

## ◆ for() [1/2]

for | ( | auto &x :myvec |  | ) |

## ◆ for() [2/2]

for | ( | auto | itr = myvec.cbegin();itr !=myvec.cend();++itr | ) |

## ◆ main()

int main | ( |  | ) |

## Variable Documentation

## ◆ other_integer_variable

decltype(some_int) other_integer_variable = 5

## ◆ other_variable

auto other_variable = 5

## ◆ some_int

int some_int

## ◆ some_strange_callable_type

auto some_strange_callable_type = std::bind(&some_function, _2, _1, some_object)